/* 
    Table of content
    1. HERO
    2. POST
*/

/* 1. HERO */
.hero {
    position: relative;
}

.hero.offset + section {
    position: relative;
    z-index: 1;
    margin-top: -30rem;
}

.hero .media-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    mask-image: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0) 0%,
        rgba(0, 0, 0, 1) 40%,
        rgba(0, 0, 0, 1) 60%,
        rgba(0, 0, 0, 0) 100%
    );
    mask-size: 100% 100%;
    mask-repeat: no-repeat;

    -webkit-mask-image: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0) 0%,
        rgba(0, 0, 0, 1) 40%,
        rgba(0, 0, 0, 1) 60%,
        rgba(0, 0, 0, 0) 100%
    );
    -webkit-mask-size: 100% 100%;
    -webkit-mask-repeat: no-repeat;
}

.hero.gradient .media-wrapper,
.hero.offset .media-wrapper {
    mask-image: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0) 0%,
        rgba(0, 0, 0, 1) 40%,
        rgba(0, 0, 0, 0) 70%
    );

    -webkit-mask-image: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0) 0%,
        rgba(0, 0, 0, 1) 40%,
        rgba(0, 0, 0, 0) 70%
    );
}

.hero .media-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.hero .bgvideo {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.hero .bgvideo iframe {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100vw;
    min-width: 177.77vh;
    height: 56.25vw;
    min-height: 100vh;
    pointer-events: none;
}

.hero .container {
    position: relative;
    z-index: 1;
    height: 100vh;
    min-height: 76.8rem;
    max-height: 108rem;
    padding-bottom: 6rem;
    display: flex;
    align-items: flex-end;
}

.hero .content-wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 30rem;
}

.hero.offset .content-wrapper {
    display: none;
}

.hero .title-wrapper {
    position: relative;
}

.hero .label {
    position: absolute;
    top: -2.25rem;
}

.hero h1 {
    margin-bottom: 0;
}

/* 2. POST */
.hero-post .container > .image-wrapper {
    position: relative;
    aspect-ratio: 16/9;
    border-radius: 1rem;
    overflow: hidden;
}

.hero-post .image-wrapper img {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.hero-post .info-wrapper {
    margin-top: 2rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 0 2rem;
    font-size: 1.5rem;
    font-weight: 500;
}

.hero-post .container > .content-wrapper {
    margin-top: 3rem;
}

.hero-post .bottom-wrapper {
    margin-top: 5rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 0 10rem;
}

.hero-post .author-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 0 2rem;
}

.hero-post .author-wrapper .image-wrapper {
    width: 14rem;
}

.hero-post .author-wrapper .image {
    position: relative;
    aspect-ratio: 1/1;
    border-radius: 1rem;
    overflow: hidden;
}

.hero-post .author-wrapper .content-wrapper {
    padding-top: 3rem;
}

.hero-post .author-wrapper .date {
    font-size: 1.5rem;
    font-weight: 500;
}

.hero-post .author-wrapper h3 {
    margin-bottom: 0;
}

.hero-post .share-wrapper {
    padding-top: 3rem;
    font-size: 1.5rem;
    font-weight: 500;
}

/* RESIZE */
@media (max-width: 1280px) {
    /* 1. HERO */
    .hero .content-wrapper {
        grid-gap: 10rem;
    }
}

@media (max-width: 1024px) {
    /* 1. HERO */
    .hero .container {
        min-height: 60rem;
        max-height: 76.7rem;
    }

    .hero .content-wrapper {
        grid-gap: 8rem;
    }
}

@media (max-width: 899px) {
    /* 1. HERO */
    .hero .content-wrapper {
        grid-gap: 6rem;
    }
}

@media (max-width: 767px) {
    /* 1. HERO */
    .hero .content-wrapper {
        grid-template-columns: 1fr;
        grid-gap: 2rem;
    }
}